Bug 75314 - netscape 4.8 and 4.79 crash when click on "betaling og kontohold" 0x404baee9 in _nss_dns_gethostbyname2_r () from /lib/libnss_dns.so.2 segmentfault
netscape 4.8 and 4.79 crash when click on "betaling og kontohold" 0x404baee9 ...
Status: CLOSED DUPLICATE of bug 74073
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-07 03:58 EDT by Knut J BJuland
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-11 16:59:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2002-10-07 03:58:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020830

Description of problem:
Netscape 4.8 crash with Program received signal SIGSEGV, Segmentation fault.
0x404baee9 in _nss_dns_gethostbyname2_r () from /lib/libnss_dns.so.2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
2.clvik on "Betaling og kontohold".watch netscasp 4.8 crash

Actual Results:  netscape 4.8 crash

Expected Results:  Netscape 4.8 should not crash

Additional info:

a compat glibc 2.2.5 would be neat
Comment 1 Need Real Name 2002-10-07 08:45:50 EDT
Experiencing the same problem.  Redhat 8.0 fresh install (previously 7.3),
Netscape 4.79 and 4.8.  Laptop sitting behind a firewall/proxy.  If I enter
the proxy ip address/name in /etc/hosts, it does not seg fault.
Comment 2 Knut J BJuland 2002-10-09 15:25:13 EDT
Could you try to add
I think there is a problem with  _nss_dns_gethostbyname2_r () from
/lib/libnss_dns.so.2. Netscape worked fine with Redhat linux 7.3.
Comment 3 Knut J BJuland 2002-10-11 16:59:06 EDT
#17 0xbfffde90 in ?? ()
(gdb) frame 17
#17 0xbfffde90 in ?? ()
(gdb) frame 16
#16 0x0893fa34 in PR_Start ()
(gdb) frame 15
#15 0x0893f9cb in HopToadNoArgs ()
(gdb) frame 17
#17 0xbfffde90 in ?? ()
(gdb) frame 16
#16 0x0893fa34 in PR_Start ()
(gdb) frame 15
#15 0x0893f9cb in HopToadNoArgs ()
(gdb) frame 14
#14 0x0893f98c in HopToad ()
(gdb) frame 13
#13 0x08742788 in start_thread ()
(gdb) frame 12
#12 0x08719adf in java_lang_System_setSystemIO ()
(gdb) frame 11
#11 0x0870a318 in execute_java_dynamic_method ()
(gdb) frame 10
#10 0x0870a907 in do_execute_java_method_vararg ()
(gdb) frame 9
#9  0x08708d70 in ExecuteJava ()
(gdb) frame 8
#8  0x08705cdd in invokeLazyNativeMethod ()
(gdb) frame 7
#7  0x0870573a in invokeNativeMethod ()
(gdb) frame 6
#6  0x0871932d in Java_java_net_InetAddressImpl_lookupAllHostAddr_stub ()
(gdb) frame 5
#5  0x08740b38 in java_net_InetAddressImpl_lookupAllHostAddr ()
(gdb) frame 4
#4  0x089361d7 in PR_gethostbyname ()
(gdb) frame 3
#3  0x420ef849 in gethostbyname () from /lib/i686/libc.so.6
(gdb) frame 2
#2  0x420eff68 in gethostbyname_r@@GLIBC_2.1.2 () from /lib/i686/libc.so.6
(gdb) frame 1
#1  0x404bc3a3 in _nss_dns_gethostbyname_r () from /lib/libnss_dns.so.2
(gdb) frame 0
#0  0x404bb055 in _nss_dns_gethostbyname2_r () from /lib/libnss_dns.so.2

 0x404bb055 <_nss_dns_gethostbyname2_r+213>:	call   0x404bad70 <_init+232>
    0x404bb05a <_nss_dns_gethostbyname2_r+218>:	movl   $0x10000,0x14(%esp,1)
    0x404bb062 <_nss_dns_gethostbyname2_r+226>:	mov    0x8(%ebp),%esi
    0x404bb065 <_nss_dns_gethostbyname2_r+229>:	mov    %eax,(%esp,1)
    0x404bb068 <_nss_dns_gethostbyname2_r+232>:	mov    0xfffffbd4(%ebp),%eax
    0x404bb06e <_nss_dns_gethostbyname2_r+238>:	mov    %esi,0x4(%esp,1)
    0x404bb072 <_nss_dns_gethostbyname2_r+242>:	movl   $0x1,0x8(%esp,1)
    0x404bb07a <_nss_dns_gethostbyname2_r+250>:	mov    %eax,0xc(%esp,1)
    0x404bb07e <_nss_dns_gethostbyname2_r+254>:	mov    %edi,0x10(%esp,1)
    0x404bb082 <_nss_dns_gethostbyname2_r+258>:	call   0x404bade0 <_init+344>
    0x404bb087 <_nss_dns_gethostbyname2_r+263>:	test   %eax,%eax
    0x404bb089 <_nss_dns_gethostbyname2_r+265>:	mov    %eax,%esi
    0x404bb08b <_nss_dns_gethostbyname2_r+267>:	js     0x404bb100
    0x404bb08d <_nss_dns_gethostbyname2_r+269>:	mov    %esi,0x4(%esp,1)
    0x404bb091 <_nss_dns_gethostbyname2_r+273>:	mov    0x8(%ebp),%eax
    0x404bb094 <_nss_dns_gethostbyname2_r+276>:	mov    0xfffffbd0(%ebp),%esi
    0x404bb09a <_nss_dns_gethostbyname2_r+282>:	mov    %edi,(%esp,1)
    0x404bb09d <_nss_dns_gethostbyname2_r+285>:	mov    0x10(%ebp),%ecx
    0x404bb0a0 <_nss_dns_gethostbyname2_r+288>:	mov    0x1c(%ebp),%edx
    0x404bb0a3 <_nss_dns_gethostbyname2_r+291>:	mov    %eax,0x8(%esp,1)
    0x404bb0a7 <_nss_dns_gethostbyname2_r+295>:	mov    0xfffffbd4(%ebp),%eax
    0x404bb0ad <_nss_dns_gethostbyname2_r+301>:	mov    %esi,0x24(%esp,1)
    0x404bb0b1 <_nss_dns_gethostbyname2_r+305>:	mov    %ecx,0x10(%esp,1)
    0x404bb0b5 <_nss_dns_gethostbyname2_r+309>:	mov    %eax,0xc(%esp,1)
    0x404bb0b9 <_nss_dns_gethostbyname2_r+313>:	mov    0x14(%ebp),%eax
    0x404bb0bc <_nss_dns_gethostbyname2_r+316>:	mov    %edx,0x1c(%esp,1)
    0x404bb0c0 <_nss_dns_gethostbyname2_r+320>:	mov    %eax,0x14(%esp,1)
    0x404bb0c4 <_nss_dns_gethostbyname2_r+324>:	mov    0x18(%ebp),%eax
    0x404bb0c7 <_nss_dns_gethostbyname2_r+327>:	mov    %eax,0x18(%esp,1)
    0x404bb0cb <_nss_dns_gethostbyname2_r+331>:	mov    0x20(%ebp),%eax
    0x404bb0ce <_nss_dns_gethostbyname2_r+334>:	mov    %eax,0x20(%esp,1)
    0x404bb0d2 <_nss_dns_gethostbyname2_r+338>:	call   0x404bb6e0 <getanswer_r>
    0x404bb0d7 <_nss_dns_gethostbyname2_r+343>:	mov    %eax,%esi
    0x404bb0d9 <_nss_dns_gethostbyname2_r+345>:	mov    0xfffffbcc(%ebp),%eax
    0x404bb0df <_nss_dns_gethostbyname2_r+351>:	test   %eax,%eax
    0x404bb0e1 <_nss_dns_gethostbyname2_r+353>:	jne    0x404bb0f0
    0x404bb0e3 <_nss_dns_gethostbyname2_r+355>:	mov    %esi,%edx
    0x404bb0e5 <_nss_dns_gethostbyname2_r+357>:	jmp    0x404bafea
    0x404bb0ea <_nss_dns_gethostbyname2_r+362>:	lea    0x0(%esi),%esi
    0x404bb0f0 <_nss_dns_gethostbyname2_r+368>:	mov    %edi,(%esp,1)
    0x404bb0f3 <_nss_dns_gethostbyname2_r+371>:	call   0x404bae40 <_init+440>
    0x404bb0f8 <_nss_dns_gethostbyname2_r+376>:	jmp    0x404bb0e3
    0x404bb0fa <_nss_dns_gethostbyname2_r+378>:	lea    0x0(%esi),%esi
    0x404bb100 <_nss_dns_gethostbyname2_r+384>:	call   0x404bacf0 <_init+104>
    0x404bb105 <_nss_dns_gethostbyname2_r+389>:	cmpl   $0x6f,(%eax)
    0x404bb108 <_nss_dns_gethostbyname2_r+392>:	mov    %eax,0xfffffbc0(%ebp)
    0x404bb10e <_nss_dns_gethostbyname2_r+398>:	setne  %cl
    0x404bb111 <_nss_dns_gethostbyname2_r+401>:	movzbl %cl,%edx
    0x404bb114 <_nss_dns_gethostbyname2_r+404>:	dec    %edx
    0x404bb115 <_nss_dns_gethostbyname2_r+405>:	mov    %edx,0xfffffbc4(%ebp)
    0x404bb11b <_nss_dns_gethostbyname2_r+411>:	call   0x404bad30 <_init+168>
    0x404bb120 <_nss_dns_gethostbyname2_r+416>:	mov    0x20(%ebp),%ecx
    0x404bb123 <_nss_dns_gethostbyname2_r+419>:	mov    (%eax),%edx
    0x404bb125 <_nss_dns_gethostbyname2_r+421>:	mov    %edx,(%ecx)
    0x404bb127 <_nss_dns_gethostbyname2_r+423>:	cmpl   $0x2,(%eax)
    0x404bb12a <_nss_dns_gethostbyname2_r+426>:	je     0x404bb1c2
    0x404bb130 <_nss_dns_gethostbyname2_r+432>:	mov    0xfffffbc8(%ebp),%edx
    0x404bb136 <_nss_dns_gethostbyname2_r+438>:	mov    0xfffffbc0(%ebp),%eax
    0x404bb13c <_nss_dns_gethostbyname2_r+444>:	mov    %edx,(%eax)
    0x404bb13e <_nss_dns_gethostbyname2_r+446>:	cmpl   $0xa,0xc(%ebp)
    0x404bb142 <_nss_dns_gethostbyname2_r+450>:	je     0x404bb188
    0x404bb144 <_nss_dns_gethostbyname2_r+452>:	test   %esi,%esi
    0x404bb146 <_nss_dns_gethostbyname2_r+454>:	js     0x404bb169
    0x404bb148 <_nss_dns_gethostbyname2_r+456>:	mov    0x10(%ebp),%ecx
    0x404bb14b <_nss_dns_gethostbyname2_r+459>:	mov    $0x1,%eax
    0x404bb150 <_nss_dns_gethostbyname2_r+464>:	mov    %eax,0xfffffbd0(%ebp)
End of assembler dump.

This error is caused by a java 1.1 applet. Within netscape 4.8. 
Comment 4 Jakub Jelinek 2002-10-18 16:43:47 EDT

*** This bug has been marked as a duplicate of 74073 ***

Note You need to log in before you can comment on or make changes to this bug.